diff -upr ioquake3svn1438/code/game/g_team.c ioquake3serverFix/code/game/g_team.c
--- ioquake3svn1438/code/game/g_team.c	2008-06-28 16:38:15.000000000 -0500
+++ ioquake3serverFix/code/game/g_team.c	2008-08-09 11:28:21.000000000 -0500
@@ -1324,9 +838,9 @@ int Team_TouchEnemyFlag( gentity_t *ent,
 			cl->ps.powerups[PW_BLUEFLAG] = INT_MAX; // flags never expire
 
 		Team_SetFlagStatus( team, FLAG_TAKEN );
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	}
-//#endif
+#endif
 
 	AddScore(other, ent->r.currentOrigin, CTF_FLAG_BONUS);
 	cl->pers.teamState.flagsince = level.time;
@@ -1338,8 +852,8 @@ int Team_TouchEnemyFlag( gentity_t *ent,
 int Pickup_Team( gentity_t *ent, gentity_t *other ) {
 	int team;
 	gclient_t *cl = other->client;
-	
-//#ifdef MISSIONPACK
+
+#ifdef MISSIONPACK
 	if( g_gametype.integer == GT_OBELISK ) {
 		// there are no team items that can be picked up in obelisk
 		G_FreeEntity( ent );
@@ -1354,11 +868,7 @@ int Pickup_Team( gentity_t *ent, gentity
 		G_FreeEntity( ent );
 		return 0;
 	}
-//#endif
-	if ( g_gametype.integer == GT_DOMINATION ) {
-		Team_Dom_TakePoint(ent, cl->sess.sessionTeam);
-		return 0;
-	}
+#endif
 	// figure out what team this flag is
 	if( strcmp(ent->classname, "team_CTF_redflag") == 0 ) {
 		team = TEAM_RED;
@@ -1366,16 +876,16 @@ int Pickup_Team( gentity_t *ent, gentity
 	else if( strcmp(ent->classname, "team_CTF_blueflag") == 0 ) {
 		team = TEAM_BLUE;
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if( strcmp(ent->classname, "team_CTF_neutralflag") == 0  ) {
 		team = TEAM_FREE;
 	}
-//#endif
+#endif
 	else {
 		PrintMsg ( other, "Don't know what team the flag is on.\n");
 		return 0;
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if( g_gametype.integer == GT_1FCTF ) {
 		if( team == TEAM_FREE ) {
 			return Team_TouchEnemyFlag( ent, other, cl->sess.sessionTeam );
@@ -1385,10 +895,7 @@ int Pickup_Team( gentity_t *ent, gentity
 		}
 		return 0;
 	}
-//#endif
-	if( g_gametype.integer == GT_DOUBLE_D) {
-		return Team_TouchDoubleDominationPoint( ent, other, team );
-	}
+#endif
 	// GT_CTF
 	if( team == cl->sess.sessionTeam) {
 		return Team_TouchOurFlag( ent, other, team );
@@ -1481,15 +988,6 @@ gentity_t *SelectRandomTeamSpawnPoint( i
 	gentity_t	*spots[MAX_TEAM_SPAWN_POINTS];
 	char		*classname;
 
-	if(g_gametype.integer == GT_ELIMINATION) { //change sides every round
-		if((level.roundNumber+level.eliminationSides)%2==1){
-			if(team == TEAM_RED)
-				team = TEAM_BLUE;
-			else if(team == TEAM_BLUE)
-				team = TEAM_RED;
-		}
-	}
-
 	if (teamstate == TEAM_BEGIN) {
 		if (team == TEAM_RED)
 			classname = "team_CTF_redplayer";
@@ -1526,78 +1024,6 @@ gentity_t *SelectRandomTeamSpawnPoint( i
 	return spots[ selection ];
 }
 
-/*
-================
-SelectRandomDDSpawnPoint
-
-go to a random Double Domination Spawn Point
-================
-*/
-#define	MAX_TEAM_SPAWN_POINTS	32
-gentity_t *SelectRandomDDSpawnPoint( void ) {
-	gentity_t	*spot;
-	int			count;
-	int			selection;
-	gentity_t	*spots[MAX_TEAM_SPAWN_POINTS];
-	char		*classname;
-
-	
-	classname = "info_player_dd";
-		
-	count = 0;
-
-	spot = NULL;
-
-	while ((spot = G_Find (spot, FOFS(classname), classname)) != NULL) {
-		if ( SpotWouldTelefrag( spot ) ) {
-			continue;
-		}
-		spots[ count ] = spot;
-		if (++count == MAX_TEAM_SPAWN_POINTS)
-			break;
-	}
-
-	if ( !count ) {	// no spots that won't telefrag
-		return G_Find( NULL, FOFS(classname), classname);
-	}
-
-	selection = rand() % count;
-	return spots[ selection ];
-}
-
-gentity_t *SelectRandomTeamDDSpawnPoint( team_t team ) {
-	gentity_t	*spot;
-	int			count;
-	int			selection;
-	gentity_t	*spots[MAX_TEAM_SPAWN_POINTS];
-	char		*classname;
-
-	if(team == TEAM_RED)
-            classname = "info_player_dd_red";
-        else
-            classname = "info_player_dd_blue";
-		
-	count = 0;
-
-	spot = NULL;
-
-	while ((spot = G_Find (spot, FOFS(classname), classname)) != NULL) {
-		if ( SpotWouldTelefrag( spot ) ) {
-			continue;
-		}
-		spots[ count ] = spot;
-		if (++count == MAX_TEAM_SPAWN_POINTS)
-			break;
-	}
-
-	if ( !count ) {	// no spots that won't telefrag
-		return G_Find( NULL, FOFS(classname), classname);
-	}
-
-	selection = rand() % count;
-	return spots[ selection ];
-}
-
 
 /*
 ===========
@@ -1621,32 +1047,6 @@ gentity_t *SelectCTFSpawnPoint ( team_t 
 	return spot;
 }
 
-/*
-===========
-SelectDoubleDominationSpawnPoint
-
-============
-*/
-gentity_t *SelectDoubleDominationSpawnPoint ( team_t team, vec3_t origin, vec3_t angles ) {
-	gentity_t	*spot;
-
-        spot = SelectRandomTeamDDSpawnPoint( team );
-        
-        if(!spot) {
-            spot = SelectRandomDDSpawnPoint ( );
-        }
-        
-	if (!spot) {
-		return SelectSpawnPoint( vec3_origin, origin, angles );
-	}
-
-	VectorCopy (spot->s.origin, origin);
-	origin[2] += 9;
-	VectorCopy (spot->s.angles, angles);
-
-	return spot;
-}
-
 /*---------------------------------------------------------------------------*/
 
 static int QDECL SortClients( const void *a, const void *b ) {
@@ -1670,7 +1070,7 @@ void TeamplayInfoMessage( gentity_t *ent
 	int			i, j;
 	gentity_t	*player;
 	int			cnt;
-	int			h, a, w;
+	int			h, a;
 	int			clients[TEAM_MAXOVERLAY];
 
 	if ( ! ent->client->pers.teamInfo )
@@ -1701,13 +1101,6 @@ void TeamplayInfoMessage( gentity_t *ent
 
 			h = player->client->ps.stats[STAT_HEALTH];
 			a = player->client->ps.stats[STAT_ARMOR];
-			w = player->client->ps.weapon;
-			if(player->client->isEliminated)
-			{
-				h = 0;
-				a = 0;
-				w = 0;
-			}			
 			if (h < 0) h = 0;
 			if (a < 0) a = 0;
 
@@ -1715,7 +1108,7 @@ void TeamplayInfoMessage( gentity_t *ent
 				" %i %i %i %i %i %i", 
 //				level.sortedClients[i], player->client->pers.teamState.location, h, a, 
 				i, player->client->pers.teamState.location, h, a, 
-				w, player->s.powerups);
+				player->client->ps.weapon, player->s.powerups);
 			j = strlen(entry);
 			if (stringlength + j > sizeof(string))
 				break;
@@ -1797,7 +1190,7 @@ void SP_team_CTF_bluespawn(gentity_t *en
 }
 
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ================
 Obelisks
@@ -1857,7 +1250,6 @@ static void ObeliskDie( gentity_t *self,
 	attacker->client->ps.eFlags |= EF_AWARD_CAP;
 	attacker->client->rewardTime = level.time + REWARD_SPRITE_TIME;
 	attacker->client->ps.persistant[PERS_CAPTURES]++;
-        G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", attacker->client->ps.clientNum, 4, attacker->client->pers.netname, "CAPTURE" );
 
 	teamgame.redObeliskAttackedTime = 0;
 	teamgame.blueObeliskAttackedTime = 0;
@@ -1865,7 +1257,7 @@ static void ObeliskDie( gentity_t *self,
 
 
 static void ObeliskTouch( gentity_t *self, gentity_t *other, trace_t *trace ) {
-	int			tokens,i;
+	int			tokens;
 
 	if ( !other->client ) {
 		return;
@@ -1893,8 +1285,6 @@ static void ObeliskTouch( gentity_t *sel
 	other->client->ps.eFlags |= EF_AWARD_CAP;
 	other->client->rewardTime = level.time + REWARD_SPRITE_TIME;
 	other->client->ps.persistant[PERS_CAPTURES] += tokens;
-        for(i = 0;i<tokens;i++)
-            G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", other->client->ps.clientNum, 4, other->client->pers.netname, "CAPTURE" );
 	
 	other->client->ps.generic1 = 0;
 	CalculateRanks();
@@ -1983,7 +1373,7 @@ gentity_t *SpawnObelisk( vec3_t origin, 
 void SP_team_redobelisk( gentity_t *ent ) {
 	gentity_t *obelisk;
 
-	if ( g_gametype.integer <= GT_TEAM || g_ffa_gt>0) {
+	if ( g_gametype.integer <= GT_TEAM ) {
 		G_FreeEntity(ent);
 		return;
 	}
@@ -2008,7 +1398,7 @@ void SP_team_redobelisk( gentity_t *ent 
 void SP_team_blueobelisk( gentity_t *ent ) {
 	gentity_t *obelisk;
 
-	if ( g_gametype.integer <= GT_TEAM || g_ffa_gt>0) {
+	if ( g_gametype.integer <= GT_TEAM ) {
 		G_FreeEntity(ent);
 		return;
 	}
@@ -2091,4 +1481,4 @@ qboolean CheckObeliskAttack( gentity_t *
 
 	return qfalse;
 }
-//#endif
+#endif
diff -upr ioquake3svn1438/code/game/g_team.h ioquake3serverFix/code/game/g_team.h
--- ioquake3svn1438/code/game/g_team.h	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_team.h	2008-08-09 11:28:21.000000000 -0500
@@ -53,32 +53,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 
 #endif
 
-#ifdef MISSIONPACK
-
-//For Double Domination:
-#define DD_POINT_DEFENCE_BONUS			10	//Score for fragging someone while either you or target are near a Domination Point
-#define DD_POINT_DEFENCE_CLOSE_BONUS		25	//Score for fragging someone while either you or target are near a Domination Point and have almost scored
-//Following is added togehter:
-#define DD_POINT_CAPTURE			5	//Score for taking a point
-#define DD_POINT_CAPTURE_BREAK			10	//If the enemy was dominating
-#define DD_POINT_CAPTURE_CLOSE			15	//Extra score if the enemy was about to score
-#define DD_AT_POINT_AT_CAPTURE			30	//You was close to a point as capture succeded.	
-
-#else
-
-//For Double Domination:
-#define DD_POINT_DEFENCE_BONUS			1	//Score for fragging someone while either you or target are near a Domination Point
-#define DD_POINT_DEFENCE_CLOSE_BONUS		2	//Score for fragging someone while either you or target are near a Domination Point and have almost scored
-//Following is added togehter:
-#define DD_POINT_CAPTURE			1	//Score for taking a point
-#define DD_POINT_CAPTURE_BREAK			1	//If the enemy was dominating
-#define DD_POINT_CAPTURE_CLOSE			1	//Extra score if the enemy was about to score
-#define DD_AT_POINT_AT_CAPTURE			1	//You was close to a point as capture succeded.	
-
-#endif
-
-#define DD_CLOSE				3	//How many seconds to score is close		
-
 #define CTF_TARGET_PROTECT_RADIUS			1000	// the radius around an object being defended where a target will be worth extra frags
 #define CTF_ATTACKER_PROTECT_RADIUS			1000	// the radius around an object being defended where an attacker will get extra frags when making kills
 
@@ -106,21 +80,9 @@ void Team_InitGame(void);
 void Team_ReturnFlag(int team);
 void Team_FreeEntity(gentity_t *ent);
 gentity_t *SelectCTFSpawnPoint ( team_t team, int teamstate, vec3_t origin, vec3_t angles );
-//For Double_D
-gentity_t *SelectDoubleDominationSpawnPoint ( team_t, vec3_t origin, vec3_t angles );
-//For Standard D
-void Team_Dom_SpawnPoints( void );
 gentity_t *Team_GetLocation(gentity_t *ent);
 qboolean Team_GetLocationMsg(gentity_t *ent, char *loc, int loclen);
 void TeamplayInfoMessage( gentity_t *ent );
 void CheckTeamStatus(void);
 
 int Pickup_Team( gentity_t *ent, gentity_t *other );
-
-//Double Domination:
-int Team_SpawnDoubleDominationPoints ( void );
-int Team_RemoveDoubleDominationPoints ( void );
-void Team_DD_bonusAtPoints(int team);
-
-//Added to make gcc happy (and because I use it in main)
-void Team_ForceGesture(int team);
diff -upr ioquake3svn1438/code/game/g_trigger.c ioquake3serverFix/code/game/g_trigger.c
--- ioquake3svn1438/code/game/g_trigger.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_trigger.c	2008-08-09 11:28:21.000000000 -0500
@@ -274,13 +274,12 @@ void trigger_teleporter_touch (gentity_t
 	if ( !other->client ) {
 		return;
 	}
-
 	if ( other->client->ps.pm_type == PM_DEAD ) {
 		return;
 	}
 	// Spectators only?
 	if ( ( self->spawnflags & 1 ) && 
-		(other->client->sess.sessionTeam != TEAM_SPECTATOR && other->client->ps.pm_type != PM_SPECTATOR) ) {
+		other->client->sess.sessionTeam != TEAM_SPECTATOR ) {
 		return;
 	}
 
Only in ioquake3svn1438/code/game: g_unlagged.c
diff -upr ioquake3svn1438/code/game/g_weapon.c ioquake3serverFix/code/game/g_weapon.c
--- ioquake3svn1438/code/game/g_weapon.c	2008-07-07 15:54:09.000000000 -0500
+++ ioquake3serverFix/code/game/g_weapon.c	2008-08-09 11:28:21.000000000 -0500
@@ -111,10 +111,7 @@ qboolean CheckGauntletAttack( gentity_t 
 	}
 #endif
 
-	if(g_instantgib.integer)
-		damage = 1000; //High damage in instant gib (normally enough to gib)
-	else
-		damage = 50 * s_quadFactor;
+	damage = 50 * s_quadFactor;
 	G_Damage( traceEnt, ent, ent, forward, tr.endpos,
 		damage, 0, MOD_GAUNTLET );
 
@@ -140,35 +137,6 @@ rather than blindly truncating.  This pr
 into a wall.
 ======================
 */
-//unlagged - attack prediction #3
-// moved to q_shared.c
-/*
-void SnapVectorTowards( vec3_t v, vec3_t to ) {
-	int		i;
-
-	for ( i = 0 ; i < 3 ; i++ ) {
-		if ( to[i] <= v[i] ) {
-			v[i] = (int)v[i];
-		} else {
-			v[i] = (int)v[i] + 1;
-		}
-	}
-}
-*/
-//unlagged - attack prediction #3
-
-//unlagged - attack prediction #3
-// moved from g_weapon.c
-/*
-======================
-SnapVectorTowards
-
-Round a vector to integers for more efficient network
-transmission, but make sure that it rounds towards a given point
-rather than blindly truncating.  This prevents it from truncating 
-into a wall.
-======================
-*/
 void SnapVectorTowards( vec3_t v, vec3_t to ) {
 	int		i;
 
@@ -180,11 +148,10 @@ void SnapVectorTowards( vec3_t v, vec3_t
 		}
 	}
 }
-//unlagged - attack prediction #3
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 #define CHAINGUN_SPREAD		600
-//#endif
+#endif
 #define MACHINEGUN_SPREAD	200
 #define	MACHINEGUN_DAMAGE	7
 #define	MACHINEGUN_TEAM_DAMAGE	5		// wimpier MG in teamplay
@@ -201,25 +168,11 @@ void Bullet_Fire (gentity_t *ent, float 
 	gentity_t	*traceEnt;
 	int			i, passent;
 
-//unlagged - attack prediction #2
-	// we have to use something now that the client knows in advance
-	int			seed = ent->client->attackTime % 256;
-//unlagged - attack prediction #2
-
 	damage *= s_quadFactor;
 
-//unlagged - attack prediction #2
-	// this has to match what's on the client
-/*
 	r = random() * M_PI * 2.0f;
 	u = sin(r) * crandom() * spread * 16;
 	r = cos(r) * crandom() * spread * 16;
-*/
-	r = Q_random(&seed) * M_PI * 2.0f;
-	u = sin(r) * Q_crandom(&seed) * spread * 16;
-	r = cos(r) * Q_crandom(&seed) * spread * 16;
-//unlagged - attack prediction #2
-
 	VectorMA (muzzle, 8192*16, forward, end);
 	VectorMA (end, r, right, end);
 	VectorMA (end, u, up, end);
@@ -227,18 +180,7 @@ void Bullet_Fire (gentity_t *ent, float 
 	passent = ent->s.number;
 	for (i = 0; i < 10; i++) {
 
-//unlagged - backward reconciliation #2
-		// backward-reconcile the other clients
-		G_DoTimeShiftFor( ent );
-//unlagged - backward reconciliation #2
-
 		trap_Trace (&tr, muzzle, NULL, NULL, end, passent, MASK_SHOT);
-                
-//unlagged - backward reconciliation #2
-		// put them back
-		G_UndoTimeShiftFor( ent );
-//unlagged - backward reconciliation #2
-                
 		if ( tr.surfaceFlags & SURF_NOIMPACT ) {
 			return;
 		}
@@ -252,22 +194,12 @@ void Bullet_Fire (gentity_t *ent, float 
 		if ( traceEnt->takedamage && traceEnt->client ) {
 			tent = G_TempEntity( tr.endpos, EV_BULLET_HIT_FLESH );
 			tent->s.eventParm = traceEnt->s.number;
-//unlagged - attack prediction #2
-			// we need the client number to determine whether or not to
-			// suppress this event
-			tent->s.clientNum = ent->s.clientNum;
-//unlagged - attack prediction #2
 			if( LogAccuracyHit( traceEnt, ent ) ) {
 				ent->client->accuracy_hits++;
 			}
 		} else {
 			tent = G_TempEntity( tr.endpos, EV_BULLET_HIT_WALL );
 			tent->s.eventParm = DirToByte( tr.plane.normal );
-//unlagged - attack prediction #2
-			// we need the client number to determine whether or not to
-			// suppress this event
-			tent->s.clientNum = ent->s.clientNum;
-//unlagged - attack prediction #2
 		}
 		tent->s.otherEntityNum = ent->s.number;
 
@@ -395,11 +327,6 @@ void ShotgunPattern( vec3_t origin, vec3
 	int			oldScore;
 	qboolean	hitClient = qfalse;
 
-//unlagged - attack prediction #2
-	// use this for testing
-	//Com_Printf( "Server seed: %d\n", seed );
-//unlagged - attack prediction #2
-
 	// derive the right and up vectors from the forward vector, because
 	// the client won't have any other information
 	VectorNormalize2( origin2, forward );
@@ -408,11 +335,6 @@ void ShotgunPattern( vec3_t origin, vec3
 
 	oldScore = ent->client->ps.persistant[PERS_SCORE];
 
-//unlagged - backward reconciliation #2
-	// backward-reconcile the other clients
-	G_DoTimeShiftFor( ent );
-//unlagged - backward reconciliation #2
-
 	// generate the "random" spread pattern
 	for ( i = 0 ; i < DEFAULT_SHOTGUN_COUNT ; i++ ) {
 		r = Q_crandom( &seed ) * DEFAULT_SHOTGUN_SPREAD * 16;
@@ -425,11 +347,6 @@ void ShotgunPattern( vec3_t origin, vec3
 			ent->client->accuracy_hits++;
 		}
 	}
-
-//unlagged - backward reconciliation #2
-	// put them back
-	G_UndoTimeShiftFor( ent );
-//unlagged - backward reconciliation #2
 }
 
 
@@ -440,12 +357,7 @@ void weapon_supershotgun_fire (gentity_t
 	tent = G_TempEntity( muzzle, EV_SHOTGUN );
 	VectorScale( forward, 4096, tent->s.origin2 );
 	SnapVector( tent->s.origin2 );
-//Sago: This sound like a bad idea...
-//unlagged - attack prediction #2
-	// this has to be something the client can predict now
-	//tent->s.eventParm = rand() & 255;		// seed for spread pattern
-	tent->s.eventParm = ent->client->attackTime % 256; // seed for spread pattern
-//unlagged - attack prediction #2
+	tent->s.eventParm = rand() & 255;		// seed for spread pattern
 	tent->s.otherEntityNum = ent->s.number;
 
 	ShotgunPattern( tent->s.pos.trBase, tent->s.origin2, tent->s.eventParm, ent );
@@ -542,16 +454,9 @@ void weapon_railgun_fire (gentity_t *ent
 	gentity_t	*unlinkedEntities[MAX_RAIL_HITS];
 
 	damage = 100 * s_quadFactor;
-	if(g_instantgib.integer)
-		damage = 5000;
 
 	VectorMA (muzzle, 8192, forward, end);
 
-//unlagged - backward reconciliation #2
-	// backward-reconcile the other clients
-	G_DoTimeShiftFor( ent );
-//unlagged - backward reconciliation #2
-
 	// trace only against the solids, so the railgun will go through people
 	unlinked = 0;
 	hits = 0;
@@ -606,11 +511,6 @@ void weapon_railgun_fire (gentity_t *ent
 		unlinked++;
 	} while ( unlinked < MAX_RAIL_HITS );
 
-//unlagged - backward reconciliation #2
-	// put them back
-	G_UndoTimeShiftFor( ent );
-//unlagged - backward reconciliation #2
-
 	// link back in any entities we unlinked
 	for ( i = 0 ; i < unlinked ; i++ ) {
 		trap_LinkEntity( unlinkedEntities[i] );
@@ -650,7 +550,6 @@ void weapon_railgun_fire (gentity_t *ent
 		if ( ent->client->accurateCount >= 2 ) {
 			ent->client->accurateCount -= 2;
 			ent->client->ps.persistant[PERS_IMPRESSIVE_COUNT]++;
-                        G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", ent->client->ps.clientNum, 2, ent->client->pers.netname, "IMPRESSIVE" );
 			// add the sprite over the player's head
 			ent->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
 			ent->client->ps.eFlags |= EF_AWARD_IMPRESSIVE;
@@ -725,19 +624,8 @@ void Weapon_LightningFire( gentity_t *en
 	for (i = 0; i < 10; i++) {
 		VectorMA( muzzle, LIGHTNING_RANGE, forward, end );
 
-//Sago: I'm not sure this should recieve backward reconciliation. It is not a real instant hit weapon, it can normally be dogded
-//unlagged - backward reconciliation #2
-	// backward-reconcile the other clients
-	G_DoTimeShiftFor( ent );
-//unlagged - backward reconciliation #2
-
 		trap_Trace( &tr, muzzle, NULL, NULL, end, passent, MASK_SHOT );
 
-//unlagged - backward reconciliation #2
-	// put them back
-	G_UndoTimeShiftFor( ent );
-//unlagged - backward reconciliation #2
-
 #ifdef MISSIONPACK
 		// if not the first trace (the lightning bounced of an invulnerability sphere)
 		if (i) {
@@ -800,7 +688,7 @@ void Weapon_LightningFire( gentity_t *en
 	}
 }
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ======================================================================
 
@@ -845,7 +733,7 @@ void weapon_proxlauncher_fire (gentity_t
 //	VectorAdd( m->s.pos.trDelta, ent->client->ps.velocity, m->s.pos.trDelta );	// "real" physics
 }
 
-//#endif
+#endif
 
 //======================================================================
 
@@ -922,18 +810,6 @@ FireWeapon
 ===============
 */
 void FireWeapon( gentity_t *ent ) {
-
-
-	//If elimination warmup, don't fire at all!
-	//if (g_gametype.integer == GT_ELIMINATION && level.roundStartTime>level.time )
-	//	return;
-
-	//Make people drop out of follow mode (this should be moved, so people can change betwean players.)
-	if (ent->client->sess.spectatorState == SPECTATOR_FOLLOW) {
-		StopFollowing( ent );
-		return;
-	}
-
 	if (ent->client->ps.powerups[PW_QUAD] ) {
 		s_quadFactor = g_quadfactor.value;
 	} else {
@@ -999,7 +875,7 @@ void FireWeapon( gentity_t *ent ) {
 	case WP_GRAPPLING_HOOK:
 		Weapon_GrapplingHook_Fire( ent );
 		break;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case WP_NAILGUN:
 		Weapon_Nailgun_Fire( ent );
 		break;
@@ -1009,7 +885,7 @@ void FireWeapon( gentity_t *ent ) {
 	case WP_CHAINGUN:
 		Bullet_Fire( ent, CHAINGUN_SPREAD, MACHINEGUN_DAMAGE );
 		break;
-//#endif
+#endif
 	default:
 // FIXME		G_Error( "Bad ent->s.weapon" );
 		break;
diff -upr ioquake3svn1438/code/game/inv.h ioquake3serverFix/code/game/inv.h
--- ioquake3svn1438/code/game/inv.h	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/inv.h	2008-08-09 11:28:21.000000000 -0500
@@ -72,11 +72,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define INVENTORY_NEUTRALFLAG		47
 #define INVENTORY_REDCUBE			48
 #define INVENTORY_BLUECUBE			49
-//Elimination mod: Domination inventory
-#define INVENTORY_POINTWHITE			50
-#define INVENTORY_POINTRED			51
-#define INVENTORY_POINTBLUE			52
-
 //enemy stuff
 #define ENEMY_HORIZONTAL_DIST		200
 #define ENEMY_HEIGHT				201
@@ -154,19 +149,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define MODELINDEX_PROXLAUNCHER		50
 #define MODELINDEX_CHAINGUN			51
 
-//Elimination mod: Double Domination and Standard Domination
-
-#define MODELINDEX_POINTABLUE			52
-#define MODELINDEX_POINTBBLUE			53
-#define MODELINDEX_POINTARED			54
-#define MODELINDEX_POINTBRED			55
-#define MODELINDEX_POINTAWHITE			56
-#define MODELINDEX_POINTBWHITE			57
-#define MODELINDEX_POINTWHITE			58
-#define MODELINDEX_POINTRED			59
-#define MODELINDEX_POINTBLUE			60
-
-
 
 //
 #define WEAPONINDEX_GAUNTLET			1
diff -upr ioquake3svn1438/code/game/match.h ioquake3serverFix/code/game/match.h
--- ioquake3svn1438/code/game/match.h	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/match.h	2008-08-09 11:28:21.000000000 -0500
@@ -32,7 +32,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define MTCONTEXT_PATROLKEYAREA			64
 #define MTCONTEXT_REPLYCHAT				128
 #define MTCONTEXT_CTF					256
-#define MTCONTEXT_DD				512
 
 //message types
 #define MSG_NEWLEADER					1		//new leader
@@ -69,11 +68,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define MSG_HARVEST						32		//go harvest
 #define MSG_SUICIDE						33		//order to suicide
 //
-
-//Double Domination messages
-#define MSG_TAKEA					90
-#define MSG_TAKEB					91
-//
 #define MSG_ME							100
 #define MSG_EVERYONE					101
 #define MSG_MULTIPLENAMES				102
@@ -91,8 +85,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 //
 #define MSG_CTF							300		//ctf message
 
-
-
 //command sub types
 #define ST_SOMEWHERE					0
 #define ST_NEARITEM						1
@@ -112,8 +104,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define ST_RETURNEDFLAG					16384
 #define ST_TEAM							32768
 #define ST_1FCTFGOTFLAG					65535
-
-
 //ctf task preferences
 #define ST_DEFENDER						1
 #define ST_ATTACKER						2
@@ -142,4 +132,3 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define MORE							6
 
 
-
diff -upr ioquake3svn1438/code/null/null_input.c ioquake3serverFix/code/null/null_input.c
--- ioquake3svn1438/code/null/null_input.c	2007-03-26 12:10:32.000000000 -0500
+++ ioquake3serverFix/code/null/null_input.c	2008-08-09 11:28:21.000000000 -0500
@@ -30,6 +30,9 @@ void IN_Frame (void) {
 void IN_Shutdown( void ) {
 }
 
+void IN_Restart( void ) {
+}
+
 void Sys_SendKeyEvents (void) {
 }
 
Only in ioquake3svn1438/code/q3_ui: compile.bat
Only in ioquake3svn1438/code/q3_ui: q3_ui.bat
Only in ioquake3svn1438/code/q3_ui: q3_ui.q3asm
Only in ioquake3svn1438/code/q3_ui: q3_ui.sh
diff -upr ioquake3svn1438/code/q3_ui/ui_addbots.c ioquake3serverFix/code/q3_ui/ui_addbots.c
--- ioquake3svn1438/code/q3_ui/ui_addbots.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_addbots.c	2008-08-09 11:28:12.000000000 -0500
@@ -333,7 +333,7 @@ static void UI_AddBotsMenu_Init( void ) 
 	addBotsMenuInfo.team.generic.y			= y;
 	addBotsMenuInfo.team.generic.name		= "Team: ";
 	addBotsMenuInfo.team.generic.id			= ID_TEAM;
-	if( gametype >= GT_TEAM && gametype!=GT_LMS) {
+	if( gametype >= GT_TEAM ) {
 		addBotsMenuInfo.team.itemnames		= teamNames2;
 	}
 	else {
diff -upr ioquake3svn1438/code/q3_ui/ui_atoms.c ioquake3serverFix/code/q3_ui/ui_atoms.c
--- ioquake3svn1438/code/q3_ui/ui_atoms.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_atoms.c	2008-08-09 11:28:12.000000000 -0500
@@ -330,8 +330,6 @@ static int propMapB[26][3] = {
 #define PROPB_SPACE_WIDTH	12
 #define PROPB_HEIGHT		36
 
-// bk001205 - code below duplicated in cgame/cg_drawtools.c
-// bk001205 - FIXME: does this belong in ui_shared.c?
 /*
 =================
 UI_DrawBannerString
@@ -340,7 +338,7 @@ UI_DrawBannerString
 static void UI_DrawBannerString2( int x, int y, const char* str, vec4_t color )
 {
 	const char* s;
-	unsigned char	ch; // bk001204 - unsigned
+	unsigned char	ch;
 	float	ax;
 	float	ay;
 	float	aw;
@@ -450,10 +448,10 @@ int UI_ProportionalStringWidth( const ch
 static void UI_DrawProportionalString2( int x, int y, const char* str, vec4_t color, float sizeScale, qhandle_t charset )
 {
 	const char* s;
-	unsigned char	ch; // bk001204 - unsigned
+	unsigned char	ch;
 	float	ax;
 	float	ay;
-	float	aw = 0; // bk001204 - init
+	float	aw = 0;
 	float	ah;
 	float	frow;
 	float	fcol;
@@ -831,7 +829,6 @@ void UI_SetActiveMenu( uiMenuCommand_t m
 		UI_InGameMenu();
 		return;
 		
-	// bk001204
 	case UIMENU_TEAM:
 	case UIMENU_POSTGAME:
 	default:
diff -upr ioquake3svn1438/code/q3_ui/ui_connect.c ioquake3serverFix/code/q3_ui/ui_connect.c
--- ioquake3svn1438/code/q3_ui/ui_connect.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_connect.c	2008-08-09 11:28:12.000000000 -0500
@@ -82,15 +82,6 @@ static void UI_DisplayDownloadInfo( cons
 	downloadCount = trap_Cvar_VariableValue( "cl_downloadCount" );
 	downloadTime = trap_Cvar_VariableValue( "cl_downloadTime" );
 
-#if 0 // bk010104
-	fprintf( stderr, "\n\n-----------------------------------------------\n");
-	fprintf( stderr, "DB: downloadSize:  %16d\n", downloadSize );
-	fprintf( stderr, "DB: downloadCount: %16d\n", downloadCount );
-	fprintf( stderr, "DB: downloadTime:  %16d\n", downloadTime );  
-  	fprintf( stderr, "DB: UI realtime:   %16d\n", uis.realtime );	// bk
-	fprintf( stderr, "DB: UI frametime:  %16d\n", uis.frametime );	// bk
-#endif
-
 	leftWidth = width = UI_ProportionalStringWidth( dlText ) * UI_ProportionalSizeScale( style );
 	width = UI_ProportionalStringWidth( etaText ) * UI_ProportionalSizeScale( style );
 	if (width > leftWidth) leftWidth = width;
@@ -118,10 +109,6 @@ static void UI_DisplayDownloadInfo( cons
 		UI_DrawProportionalString( leftWidth, 192, 
 			va("(%s of %s copied)", dlSizeBuf, totalSizeBuf), style, color_white );
 	} else {
-	  // bk010108
-	  //float elapsedTime = (float)(uis.realtime - downloadTime); // current - start (msecs)
-	  //elapsedTime = elapsedTime * 0.001f; // in seconds
-	  //if ( elapsedTime <= 0.0f ) elapsedTime == 0.0f;
 	  if ( (uis.realtime - downloadTime) / 1000) {
 			xferRate = downloadCount / ((uis.realtime - downloadTime) / 1000);
 		  //xferRate = (int)( ((float)downloadCount) / elapsedTime);
@@ -129,9 +116,6 @@ static void UI_DisplayDownloadInfo( cons
 			xferRate = 0;
 		}
 
-	  //fprintf( stderr, "DB: elapsedTime:  %16.8f\n", elapsedTime );	// bk
-	  //fprintf( stderr, "DB: xferRate:   %16d\n", xferRate );	// bk
-
 		UI_ReadableSize( xferRateBuf, sizeof xferRateBuf, xferRate );
 
 		// Extrapolate estimated completion time
@@ -141,7 +125,7 @@ static void UI_DisplayDownloadInfo( cons
 			// We do it in K (/1024) because we'd overflow around 4MB
 			n = (n - (((downloadCount/1024) * n) / (downloadSize/1024))) * 1000;
 			
-			UI_PrintTime ( dlTimeBuf, sizeof dlTimeBuf, n ); // bk010104
+			UI_PrintTime ( dlTimeBuf, sizeof dlTimeBuf, n );
 				//(n - (((downloadCount/1024) * n) / (downloadSize/1024))) * 1000);
 
 			UI_DrawProportionalString( leftWidth, 160, 
